Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   CentOS (http://www.linux-archive.org/centos/)
-   -   Can no longer print (http://www.linux-archive.org/centos/361039-can-no-longer-print.html)

Anne Wilson 04-23-2010 04:19 PM

Can no longer print
 
My server has CentOS 5.4. I had hplip-2.7.12 installed and running, as
earlier versions didn't work with my printers, and was able to print to a
networked printer. As far as I'm aware, that's the version that was still
running last time I printed. Recently I decided to add a local USB printer,
and at that point discovered that I can no longer print. I've no idea how
long this has been so. Rightly or wrongly, I decided that something must have
seriously upset hplip, so I removed it and re-installed it. Unfortunately it
hasn't cured anything.

I have the correct ppd files for both printers, and CUPS lists them. If I
step through the CUPS Modify Printer pages everything looks correct, but when
I try to send a test page I see "usr/lib/cups/filter/foomatic-rip failed".

Running 'hp-check -t' tells me that libcrypto is a required dependency and I
don't have it. 'rpm --redhatprovides libcrypto' says that no package provides
it, and no package of that name is listed. Where can I get it?

Similarly, ppdev and ReportLab are essential but missing.

I have printed from this server in the past, but I can't get it sorted this
time. I can't even find any uninstall file for hplip, and it doesn't appear
in the rpm database. Is there any way I can get this working again?

Thanks

Anne
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos


All times are GMT. The time now is 09:31 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.